Subject: RE: [ietf-provreg] Implementation Report Update

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 23 Jun 2006 09:24:21 -0400

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Patrick Mevzek
> Sent: Thursday, June 22, 2006 6:34 PM
> To: [email-masked]
> Subject: Re: [ietf-provreg] Implementation Report Update
> 
> Hollenbeck, Scott <[email-masked]> 2006-06-20 14:54
> > > >  The bad news is that there are a few optional features
> > > > that no one has yet described as "implemented".  These include:
> > > > 
> > > > 1. Domain transfer authorization using the "roid" attribute.
> > > 
> > > Implemented in my software.
> > 
> > Do you know of any registrars that are using this feature, 
> Patrick?  We
> > need two independently developed implementations to meet the
> > proposed-to-draft requirements.
> 
> I do not understand, sorry (still new at all this).
> Is the problem : have it been implemented, or is it used ?

Implemented and tested.  The IETF requirement is that each feature must
be implemented and tested using two independently developed
implementations.  It's great if you implemented it, but we also need to
document that a client is using the feature.

> If that changes anything, almost (I believe all but I will not say
> all, in fear of having forgotten a case) all EPP operations are
> covered in my software by a test suite of 1416 tests, meaning that
> at least I have proof, based on examples given in RFCs, that my
> software behaves like in the RFC, including for domain transfer with
> roid attribute.
> You can see it line 159 of the test file living at :
> http://search.cpan.org/src/PMEVZEK/Net-DRI-0.30/t/601vnds_epp.t
> showing a transfer of example5.com with roid value JD1234-REP
> 
> Of course this does not replace on the field tests.
> 
> There are other parts of the RFC, seldom used if not at all forbidden
> by some registries, like contact transfers.
> I have implemented it also since it is in the RFC, but the fact that
> it may not be used does not eliminate it from testing
> interoperability and including it, does it ?

Correct.  It just needs to be implemented and tested.

> Otherwise I do not have direct feedback of anyone using it, but I
> even do not know exactly who uses the toolkit at all, even if I know
> it is used (bugreports :-)).
> As for domain transfer with roid, maybe starting with registries
> allowing it would be easier (I'm not a gTLD registrar, I do not know
> which ones do, which ones do not).

OK.  I'm asking here because I haven't been able to find a registrar
that says they've implemented the feature.

[snip]

-Scott-